## org.eclipse.datatools.connectivity.sqm.core.containment
Class AbstractContainmentProvider

    java.lang.Object
      org.eclipse.datatools.connectivity.sqm.core.containment.AbstractContainmentProvider

All Implemented Interfaces:
  org.eclipse.datatools.connectivity.sqm.internal.core.containment.ContainmentProvider

Direct Known Subclasses:
  org.eclipse.datatools.connectivity.sqm.internal.core.containment.AuthorizationIdContainmentProvider, AuthorizationIdContainmentProvider, org.eclipse.datatools.connectivity.sqm.internal.core.containment.DatabaseContainmentProvider, PrivilegeContainmentProvider, org.eclipse.datatools.connectivity.sqm.internal.core.containment.SchemaContainmentProvider, SybaseASAEventContainmentProvider, SybaseASAPredefinedTypeContainmentProvider, SybaseASAWebServiceContainmentProvider, SybaseASECatalogsContainmentProvider, SybaseASEDatabaseContainmentProvider, SybaseASEDefaultContainmentProvider, SybaseASEPredefinedTypeContainmentProvider, SybaseASERuleContainmentProvider, SybaseASEWebServiceContainmentProvider, org.eclipse.datatools.connectivity.sqm.internal.core.containment.TableContainmentProvider, org.eclipse.datatools.connectivity.sqm.internal.core.containment.UserDefinedTypeContainmentProvider

    public abstract class AbstractContainmentProvider

extends java.lang.Object
implements org.eclipse.datatools.connectivity.sqm.internal.core.containment.ContainmentProvider

Constructor Summary
`AbstractContainmentProvider()`

Method Summary
`java.util.Collection` `getContainedElements(org.eclipse.emf.ecore.EObject obj)`
`org.eclipse.emf.ecore.EObject` `getContainer(org.eclipse.emf.ecore.EObject obj)`
`org.eclipse.emf.ecore.EStructuralFeature` `getContainmentFeature(org.eclipse.emf.ecore.EObject obj)`
`boolean` `isDisplayableElement(org.eclipse.emf.ecore.EObject obj)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.connectivity.sqm.internal.core.containment.ContainmentProvider
`getGroupId`

Constructor Detail

### AbstractContainmentProvider

    public AbstractContainmentProvider()

Method Detail

### getContainedElements

    public java.util.Collection getContainedElements(org.eclipse.emf.ecore.EObject obj)

  Specified by:
    `getContainedElements` in interface `org.eclipse.datatools.connectivity.sqm.internal.core.containment.ContainmentProvider`

### isDisplayableElement

    public boolean isDisplayableElement(org.eclipse.emf.ecore.EObject obj)

  Specified by:
    `isDisplayableElement` in interface `org.eclipse.datatools.connectivity.sqm.internal.core.containment.ContainmentProvider`

### getContainer

    public org.eclipse.emf.ecore.EObject getContainer(org.eclipse.emf.ecore.EObject obj)

  Specified by:
    `getContainer` in interface `org.eclipse.datatools.connectivity.sqm.internal.core.containment.ContainmentProvider`

### getContainmentFeature

    public org.eclipse.emf.ecore.EStructuralFeature getContainmentFeature(org.eclipse.emf.ecore.EObject obj)

  Specified by:
    `getContainmentFeature` in interface `org.eclipse.datatools.connectivity.sqm.internal.core.containment.ContainmentProvider`